#include <stdio.h>
#include <wchar.h>
#include <locale.h>

int main(){
    setlocale(LC_ALL, "");
    wchar_t ch[40];

    wscanf(L"%ls", ch);
    size_t len = wcslen(ch);
    for (int i = len - 1; i >= 0; --i) {
        wprintf(L"%lc", ch[i]);
    }
    printf("\n");
    return 0;
}
